--------------------------------------------------
-- AGE OF WAR:Holy vs Wicked by Blpzz     --
--------------------------------------------------

if sample==nil then sample={} end
sample.classes={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.classes.class=initArray(32)
function sample.classes.classmenu(id)
	menu(id,"Select your Class,Caveman|Armor,PrehistoricWarrior|Super Armor,(Einstein|Wrench),WarSoldier|Flamethrower,ShinedKnight|Machete,RoboticCyborg|RPG,HolyPriest|HolyGun,Undead|Silent,SoulHunter|DeathGun,Wicked|Runes,HellGod|SuperPower,Unholyness|WitchCraft")	
end


-----------------------
-- TEAM -> CLASS     --
-----------------------
addhook("team","sample.classes.team")
function sample.classes.team(id,team)
	if (team>0) then
		sample.classes.classmenu(id)
	end
end


-----------------------
-- SERVERACTION      --
-----------------------
addhook("serveraction","sample.classes.serveraction")
function sample.classes.serveraction(id)
	sample.classes.classmenu(id)
end


-----------------------
-- Heroes SELECTION   --
-----------------------
addhook("menu","AOW.classes.menu")
function sample.classes.menu(id,menu,sel)
	if (menu=="Select your Class") then
		if (sel>=0 and sel<=12) then
			sample.classes.class[id]=sel
			if (player(id,"health")>0) then
				parse("killplayer "..id)
			end
		end
	end
end


-----------------------
-- SPAWN             --
-----------------------
addhook("spawn","sample.classes.spawn")
function sample.classes.spawn(id)
	-- Caveman
	if (sample.classes.class[id]<=1) then
		parse ("setmaxhealth "..id.." 150")
		parse ("setarmor "..id.." 200")
		parse ("speedmod "..id.." -3")
                                freeimage(id) 
		id=image("gfx/hats/helmet.bmp",1,1,200+id)
		return "80";
	end
	-- PrehistoricWarrior
	if (sample.classes.class[id]==2) then
		parse ("setmaxhealth "..id.." 15")
		parse ("speedmod "..id.." 15")
                                freeimage(id) 
		id=image("gfx/hats/spikes.png",1,1,200+id) 
		return "84";
	end
	-- Einstein
	if (sample.classes.class[id]==3) then
		parse ("setmaxhealth "..id.." 100")
		parse ("setarmor "..id.." 50")
		return "10,2,74";
	end
	-- WarSoldier
	if (sample.classes.class[id]==4) then
		parse ("setmaxhealth "..id.." 250")
		parse ("setarmor "..id.." 75")
                                freeimage(id) 
		id=image("gfx/hats/corner.png",1,1,200+id)
		return "46,27";
	end
	-- ShinedKnight
	if (sample.classes.class[id]==5) then
		parse ("setmaxhealth "..id.." 75")
		parse ("setarmor "..id.." 0")
		parse ("speedmod "..id.." 15")
                                freeimage(id) 
		id=image("gfx/hats/tyrans.png",1,1,200+id) 
                                return "69,54,41";
	end
	-- RoboticCyborg
	if (sample.classes.class[id]==6) then
		parse ("setmaxhealth "..id.."110")
		freeimage(id) 
		id=image("gfx/hats/phoenix.png",1,1,200+id)
                                return "46,47,83";
                      	end
               end
	-- HolyPriest
	if (sample.classes.class[id]==7) then
		parse ("setmaxhealth "..id.."150")
		freeimage(id) 
		id=image("gfx/hats/r.png",1,1,200+id)
                                return "45,46,83";
                      	end
               end
	-- Undead
	if (sample.classes.class[id]==8) then
		parse ("setmaxhealth "..id.." 150")
		freeimage(id) 
		id=image("gfx/hats/zclassic.bmp",1,1,200+id)
                                return "54,81";
                      	end
                end
	-- SoulHunter
	if (sample.classes.class[id]==9) then
		parse ("setmaxhealth "..id.." 250")
		freeimage(id) 
		id=image("gfx/hats/d.png",1,1,200+id)
                                return "2,82";
                      	end
              end
	-- Wicked
	if (sample.classes.class[id]==10) then
		parse ("setmaxhealth "..id.."50")
		freeimage(id) 
		id=image("gfx/hats/g.bmp",1,1,200+id)
                                return "46,80";
                      	end
              end
	-- HellGod
	if (sample.classes.class[id]==11) then
		parse ("setmaxhealth "..id.." 50")
		freeimage(id) 
		id=image("gfx/hats/a.png",1,1,200+id)
                                return "42,83";
                      	end
              end
	-- Unholyness
	if (sample.classes.class[id]==12) then
		parse ("setmaxhealth "..id.." 110")
		freeimage(id) 
		id=image("gfx/hats/holy.png",1,1,200+id)
                                return "47,83";
                      	end
end


-----------------------
-- NO BUYING         --
-----------------------
addhook("buy","sample.classes.buy")
function sample.classes.buy()
	return 1
end


-----------------------
-- NO COLLECTING     --
-----------------------
addhook("walkover","sample.classes.walkover")
function sample.classes.walkover(id,iid,type)
	if (type>=61 and type<=68) then
		return 0
	end
	return 1
end


-----------------------
-- NO DROPPING       --
-----------------------
addhook("drop","sample.classes.drop")
function sample.classes.drop()
	return 1
end


-----------------------
-- NO DEAD DROPPING  --
-----------------------
addhook("die","sample.classes.die")
function sample.classes.die()
	return 1
end